QGIS Application - Feature request #19248
WFS 2.0 complex features not supported
2018-06-22 01:45 PM - Kjetil Ringen

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 27076
Description

Earlier | has opened this WFS with plugin in Q-gis 2.18, but i 3.0 this plugin is not available. The WFS is included in add layer, but it work
not with a degree WFS, but still it work with plugin in 2.18

"Lag er ikke ugyldig: The layer IgnoreAxisOrientation="'1' restrictToRequestBBOX="1" srsname="EPSG:25833' typename="app:Sted'

url="http://wfs.geonorge.no/skwms1/wfs.stedsnavn50?' version="'2.0.0' table="" sqgl= is not a valid layer and can not be added to the map.

Reason:

Capabilities for the WFS is:
https://wfs.geonorge.no/skwms1/wfs.stedsnavn50?service=WF S&#38;version=2.0.0&#38;request=GetCapabilities

History

#1 - 2018-09-21 10:57 PM - Even Rouault

The schema at
https://wfs.geonorge.no/skwms1/wfs.stedsnavn50?service=WFS&#38;version=2.0.0&#38;request=DescribeFeature Type&#38;TYPENAME=app:Sted

includes http://skjema.geonorge.no/SOSI/produktspesifikasjon/Stedsnavn/5.0/Stedsnavn-5.0.xsd

which is a complex feature schema

And the document at
https://wfs.geonorge.no/skwms1/wfs.stedsnavn50?service=WFS&#38;version=2.0.0&#38;request=GetFeature&#38;TYPENAME=app:Sted&#38;COUN
=1

also shows that this is complex features

The WFS client isn't ready for that

#2 - 2018-09-21 10:57 PM - Even Rouault
- Subject changed from WFS 2.0 to WFS 2.0 complex features not supported
- Tracker changed from Bug report to Feature request
